geronimo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kevan Miller <kevan.mil...@gmail.com>
Subject Re: [VOTE] Release OpenJPA-2.0.0-beta Plugin for Geronimo 2.1.3 - 2.1.5 servers - RC2
Date Tue, 09 Feb 2010 20:29:48 GMT
Hi Donald,
I don't see a source archive that covers this release vote. This is almost certainly a bit
of a change from some of our past votes. However, IMO, we should have source archives (tar.gz/zip)
that are signed, checksum'ed. These archives are what we are voting on. Ideally the archives
should be called out in the vote. They probably should end up in our dist directory, also.
Perhaps something to discuss...

For instance, for the jcdi spec, IMO the tar.gz and zip source archives (e.g. https://repository.apache.org/content/repositories/orgapachegeronimo-008/org/apache/geronimo/specs/geronimo-jcdi_1.0_spec/1.0-beta/geronimo-jcdi_1.0_spec-1.0-beta-source-release.tar.gz)
represent what we are "releasing". This is what I'm voting on (I happen to also ensure that
the contents match the contents of our svn tag). However, that's not a strict requirement.


Also, I'm not able to build. I'm getting a build failure with a missing dependency:

1) org.apache.geronimo.modules:geronimo-openjpa2:jar:2.1.3

So, I'm -1, at the moment (until the source archive and build issue are resolved). I haven't
validated signatures/checksums, but everything else looks good.

--kevan


On Feb 8, 2010, at 9:58 AM, Donald Woods wrote:

> I've created a second release candidate of a set of plugins that can be
> used to upgrade an existing Geronimo 2.1.3, 2.1.4 or 2.1.5-SNAPSHOT
> server from OpenJPA 1.x to the new OpenJPA 2.0.0-beta, so users can
> start experimenting with a JPA 2.0 certified codebase.
> 
> I just updated the hosted openjpa2/geronimo-plugins.xml for the beta
> release, so it'll take about an hour before you can try installing the
> plugin from the staging site into a server or you can use the following
> plugin catalog until then:
> http://people.apache.org/~dwoods/openjpa/
> 
> 
> Staging repo:
> https://repository.apache.org/content/repositories/orgapachegeronimo-005/
> 
> Source tag:
> https://svn.apache.org/repos/asf/geronimo/plugins/openjpa2/tags/openjpa2-2.1.3-beta/
> 
> Plugin installation instructions:
> https://svn.apache.org/repos/asf/geronimo/plugins/openjpa2/tags/openjpa2-2.1.3-beta/README.txt
> Note: You will need to restart your server before running or deploying
> apps that need JPA.
> The latest version of Daytrader 2.1.3 that can be used for testing can
> be installed as a plugin from:
> http://people.apache.org/~dwoods/daytrader-2.1.3/
> 
> 
> Vote will be open for 72 hours.
> 
> [ ] +1  approve
> [ ] +0  no opinion
> [ ] -1  disapprove (and reason why)
> 
> 
> Thanks,
> Donald


Mime
View raw message